> For the complete documentation index, see [llms.txt](https://docs.tonic.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tonic.ai/fabricate/data-masking/masking-value-types.md).

# Types of values that Fabricate detects and replaces

When it scans the source data, based on the column name and data type, Fabricate assigns each column to one of the following categories.

Based on the category, it also assigns a masking generator.

<table><thead><tr><th valign="top">Category</th><th valign="top">Description</th><th valign="top">Masking generator identifier</th></tr></thead><tbody><tr><td valign="top">Address</td><td valign="top">A mailing address or address component.</td><td valign="top"><p><code>address</code> - Used for street address, street, and postal code.</p><p></p><p><code>location</code> - Used for city, state, postal code, and country,</p></td></tr><tr><td valign="top">Categorical</td><td valign="top">A set of limited values such as gender, ethnicity, race, religion, marital status.</td><td valign="top"><code>categorical</code></td></tr><tr><td valign="top">Credential</td><td valign="top">Authentication credentials such as passwords, secrets, API keys, tokens, session IDs, and OTP/MFA codes.</td><td valign="top"><code>hash</code></td></tr><tr><td valign="top">Custom</td><td valign="top"><p>A value that is sensitive but that does not fit into any of the other categories.</p><p>For example, usernames, device identifiers, and user agents.</p></td><td valign="top"><code>hash</code></td></tr><tr><td valign="top">Date of birth</td><td valign="top">A date of birth or of death.</td><td valign="top"><code>date_shift</code></td></tr><tr><td valign="top">Email</td><td valign="top">An email address.</td><td valign="top"><code>email</code></td></tr><tr><td valign="top">Financial</td><td valign="top">Financial identifiers.</td><td valign="top"><p><code>hash</code> - Used for values other than credit card numbers.</p><p></p><p><code>credit_card</code> - Used for credit card numbers.</p></td></tr><tr><td valign="top">Free text</td><td valign="top">Includes freeform text content such as notes, comments, descriptions, diagnoses, and transcripts.</td><td valign="top"><code>scramble</code></td></tr><tr><td valign="top">IP address</td><td valign="top">Includes IP address (IPv4 or IPv6) and MAC addresses.</td><td valign="top"><code>hash</code></td></tr><tr><td valign="top">National ID</td><td valign="top">A national identifier, such as an SSN, passport, driver's license number, tax identifier, or a medical record identifier.</td><td valign="top"><code>national_id</code></td></tr><tr><td valign="top">None</td><td valign="top">Used for a column that Fabricate does not identify as sensitive.</td><td valign="top"><code>copy</code></td></tr><tr><td valign="top">Person name</td><td valign="top"><p>A person's name.</p><p>Might be one part of a name, such as a given name or a family name, or a full name.</p></td><td valign="top"><code>person_name</code></td></tr><tr><td valign="top">Phone</td><td valign="top">A telephone number.</td><td valign="top"><code>phone</code></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.tonic.ai/fabricate/data-masking/masking-value-types.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
